dbXML API

## org.dbxml.core.corba
Class EncodedBufferConverter

    java.lang.Object
      |
      +--org.dbxml.core.corba.EncodedBufferConverter

public class EncodedBufferConverter
extends java.lang.Object

Converts an EncodedBuffer into a Configuration object.

Constructor Summary
`EncodedBufferConverter()`

Method Summary
`static EncodedBuffer` `convertFromDocument(org.w3c.dom.Node node)` Converts a Document object into an EncodedBuffer.
`static org.dbxml.server.Configuration` `convertToConfiguration(EncodedBuffer buffer)` Converts an EncodedBuffer into a Configuration object.
`static org.w3c.dom.Document` `convertToDocument(EncodedBuffer buffer)` Converts an EncodedBuffer into a Document object.
`void` `remove()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncodedBufferConverter

    public EncodedBufferConverter()

Method Detail

### convertToConfiguration

    public static org.dbxml.server.Configuration convertToConfiguration(EncodedBuffer buffer)

  Converts an EncodedBuffer into a Configuration object. Assumes the buffer contains valid XML data.
  Parameters:
    `buffer` - the buffer containing XML to convert
  Returns:
    A Configuration object encapsualting the XML.

### convertToDocument

    public static org.w3c.dom.Document convertToDocument(EncodedBuffer buffer)

  Converts an EncodedBuffer into a Document object. Assumes the buffer contains valid XML data.
  Parameters:
    `buffer` - the buffer containing XML to convert
  Returns:
    A Document object encapsualting the XML.

### convertFromDocument

    public static EncodedBuffer convertFromDocument(org.w3c.dom.Node node)

  Converts a Document object into an EncodedBuffer.
  Parameters:
    `doc` - the Node to convert to an EncodedBuffer
    `encoding` - the encoding to use when converting the doc
  Returns:
    An EncodedBuffer containing the serialized document

### remove

    public void remove()

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved